#candidate rc1

Name:          cmsis-pack-manager
Version:       0.2.9
Release:       1%{?candidate:.%{candidate}}%{?dist}
Summary:       Utils and a Python module for handling CMSIS Pack files
License:       ASL 2.0
URL:           https://github.com/ARMmbed/cmsis-pack-manager
Source0:       https://github.com/ARMmbed/cmsis-pack-manager/archive/v%{version}%{?candidate:%{candidate}}.tar.gz#/%{name}-%{version}%{?candidate:%{candidate}}.tar.gz

BuildArch:     noarch
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-pyyaml
BuildRequires: python3-six

%description
cmsis-pack-manager is a command line utility and a python module for managing
current device information that is stored in many CMSIS PACKs. Users of
cmsis-pack-manager may query for information such as processor type, flash
algorithm and memory layout information in a python program or through the
command line utility, pack-manager, provided as part of this module.

%prep
%autosetup -n %{name}-%{version}%{?candidate:%{candidate}}
sed -i '/milksnake/d' *\requirements.txt

%build
%py3_build

%install
%py3_install


%files
%license LICENSE
%{_bindir}/pack-manager
%{python3_sitelib}/cmsis_pack_manager/
%{python3_sitelib}/cmsis_pack_manager*.egg-info/

%changelog
* Sat Feb  8 2020 Peter Robinson <pbrobinson@fedoraproject.org> 0.2.9-1
- Initial packaging
